package com.mortals.xhx.module.extend.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:ExtendProcinst
* date: 2021-8-30 11:43:19
*/
public class ExtendProcinstEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630294999062L;


    /**
    * 
    */
    private String modelKey;

    /**
    * 流程实例id
    */
    private String processInstanceId;

    /**
    * 
    */
    private String processDefinitionId;

    /**
    * 业务单据id
    */
    private String businessKey;

    /**
    * 流程表单名称
    */
    private String processName;

    /**
    * 流程状态
    */
    private String processStatus;

    /**
    * 流程发起人
    */
    private String currentUserCode;

    /**
    * 租户id(系统标识)
    */
    private String tenantId;

    /**
    * 创建人
    */
    private String createUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 更新人
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date updateTime;

    public ExtendProcinstEntity(){

    }
    /**
    * 获取 
    * @return modelKey
    */
    public String getModelKey() {
        return this.modelKey;
    }
    /**
    * 设置 
    * @param modelKey
    */
    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceId
    */
    public String getProcessInstanceId() {
        return this.processInstanceId;
    }
    /**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }
    /**
    * 获取 
    * @return processDefinitionId
    */
    public String getProcessDefinitionId() {
        return this.processDefinitionId;
    }
    /**
    * 设置 
    * @param processDefinitionId
    */
    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }
    /**
    * 获取 业务单据id
    * @return businessKey
    */
    public String getBusinessKey() {
        return this.businessKey;
    }
    /**
    * 设置 业务单据id
    * @param businessKey
    */
    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }
    /**
    * 获取 流程表单名称
    * @return processName
    */
    public String getProcessName() {
        return this.processName;
    }
    /**
    * 设置 流程表单名称
    * @param processName
    */
    public void setProcessName(String processName) {
        this.processName = processName;
    }
    /**
    * 获取 流程状态
    * @return processStatus
    */
    public String getProcessStatus() {
        return this.processStatus;
    }
    /**
    * 设置 流程状态
    * @param processStatus
    */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }
    /**
    * 获取 流程发起人
    * @return currentUserCode
    */
    public String getCurrentUserCode() {
        return this.currentUserCode;
    }
    /**
    * 设置 流程发起人
    * @param currentUserCode
    */
    public void setCurrentUserCode(String currentUserCode) {
        this.currentUserCode = currentUserCode;
    }
    /**
    * 获取 租户id(系统标识)
    * @return tenantId
    */
    public String getTenantId() {
        return this.tenantId;
    }
    /**
    * 设置 租户id(系统标识)
    * @param tenantId
    */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
    /**
    * 获取 创建人
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建人
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 更新人
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 更新人
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 创建时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ExtendProcinstEntity) {
            ExtendProcinstEntity tmp = (ExtendProcinstEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",modelKey:").append(getModelKey())
                .append(",processInstanceId:").append(getProcessInstanceId())
                .append(",processDefinitionId:").append(getProcessDefinitionId())
                .append(",businessKey:").append(getBusinessKey())
                .append(",processName:").append(getProcessName())
                .append(",processStatus:").append(getProcessStatus())
                .append(",currentUserCode:").append(getCurrentUserCode())
                .append(",tenantId:").append(getTenantId())
                .append(",createUser:").append(getCreateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.modelKey = null;

         this.processInstanceId = null;

         this.processDefinitionId = null;

         this.businessKey = null;

         this.processName = null;

         this.processStatus = null;

         this.currentUserCode = null;

         this.tenantId = null;

         this.createUser = null;

         this.createTime = null;

         this.updateUser = null;

         this.updateTime = null;

    }
}